/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.entity.Bwrktotal;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 入库汇总表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwrktotalMapper extends BaseMapper<Bwrktotal> {
    IPage<Map> getSbKc(Page page ,@Param("cj") List<String> cjList,@Param("kj") List<String> kjList,@Param("lx") List<String> lxList);

    List<Map> getkcSta();

    List<Map> getXzSta();

    List<Map> getCkSta();

    List<Map> getBfSta();

    List<Map> getHbSta();

    List<Map> getZySta();

    Page<Map> queryMeterInfo(Page page, @Param("statistic") Statistic statistic);
}
